
Redmine - Defect #31708

Not able to add member to a project

2019-07-11 10:43 - Carmelo Pansera

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 4.0.1

Description

Hello

when i go to admin projet members i have the message No "data to display" and it's not possible to add a user clicking on "New

member"

I already seach for this topic and found only the fact that we need role defined (I have roles defined)

Manager

Developer

Reporter

EndUser

Non member

Anonymous

Redmine Version 4.0.1.stable intalled on Ubuntu 19

Thank you for your help

Regards

CPA

Related issues:

Related to Redmine - Defect #31870: Remove deprecated .zIndex() method Closed

History

#1 - 2019-07-12 01:50 - Mizuki ISHIKAWA

Carmelo Pansera wrote:

when i go to admin projet members i have the message No "data to display" and it's not possible to add a user clicking on "New member"

 Could you share the screenshot after clicking on the "New member" link?

#2 - 2019-07-12 09:43 - Carmelo Pansera

- File ScreenShot.jpg added

Hello

Attached the Screenshot

when i click there Something that is show in th middle of the screen i suppos that it's "Loading"

Kind regards

CPA

#3 - 2019-07-21 09:48 - Doruk Fişek

The screenshot seems perfectly normal. It says "no data to display" since there aren't any members added to the project.

What happens when you go to the "add member" string (the one with the blue color) and click on it?

#4 - 2019-07-22 10:59 - Carmelo Pansera

Hello

after clicking on the "New member" link there a message "Loading" with the clock is displayed Under the line "no data to display"

BUT nothing else as if no user list can be displayed

bets regards
CPA

#5 - 2019-07-23 11:21 - Doruk Fişek

Can you take a look at the production.log and the application server (e.g.: Passenger, Puma, Thin, vs) logs? When you hit "add new member" there

will probably be an error there.

#6 - 2019-07-23 12:46 - Carmelo Pansera

Hello

the message

Processing by MembersController#new as JS

Parameters: {"project_id"=>"xxxxxx"}

Current user: admin (id=1)

Rendering members/new.js.erb

Rendered members/_new_form.html.erb (45.9ms)

Rendered members/_new_modal.html.erb (49.6ms)

Rendered members/new.js.erb (53.0ms)

Completed 200 OK in 78ms (Views: 61.8ms | ActiveRecord: 8.8ms)

best regards

Carmelo

#7 - 2019-07-25 10:50 - Carmelo Pansera

Hello

find an explanation here http://www.redmine.org/issues/25207

Best regards

CPA

#8 - 2019-07-25 11:18 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

Carmelo Pansera wrote:

Hello

find an explanation here http://www.redmine.org/issues/25207

Best regards

CPA

 Thanks for the feedback, I'll close this issue.

#9 - 2019-07-26 17:40 - Carmelo Pansera

- Status changed from Closed to Reopened

Hello

In fact i Don't know how to solve it

There is also an other issue concerning add Watchers that is also NOT working like adding members

Is it possible to have the "to do" to solve these issues

Thank you

CPA

#10 - 2019-08-22 01:42 - Carmelo Pansera

Hello

Any news on this topic, It's urgent for me

Thank you

Best regards

CPA

#11 - 2019-08-31 00:53 - Carmelo Pansera

Hello

Any news on this topic, It's urgent for me

Thank you

Best regards
CPA

#12 - 2019-09-08 09:46 - Go MAEDA

What web browser do you use?

Yesterday I found that the same behavior can be observed when accessing Redmine with Internet Explorer 9.

#13 - 2019-09-08 21:57 - Carmelo Pansera

Hello

Thank for your answer

I try chrome and Firefox browser with the same result

If i install a bitnami 4.0.4-5 installer it works BUT i Don't want to use bitnami

My version

Environment UBUNTU:

Redmine version                4.0.1.stable

Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

Rails version                  5.2.3

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

I didn't find how to patct to the last version (the Ubuntu svn didn't contain the last version)

Best regards

CPA

#14 - 2019-09-10 12:29 - Paweł Szmigiel

Carmelo Pansera wrote:

Hello

Thank for your answer

I try chrome and Firefox browser with the same result

If i install a bitnami 4.0.4-5 installer it works BUT i Don't want to use bitnami

My version

Environment UBUNTU:

Redmine version                4.0.1.stable

Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

Rails version                  5.2.3

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

I didn't find how to patct to the last version (the Ubuntu svn didn't contain the last version)

Best regards

CPA

 Hi, I have the same issue on Redmine 4.0.4, don't have CSP enabled, can't find any solution to this, would appreciate any help.

#15 - 2019-09-13 14:43 - Paweł Szmigiel

I figured out that this problem is connected to the jquery-ui version 1.12, which has Deprecated .zIndex() function. You can manually edit

application.js like here:

https://bugs.launchpad.net/ubuntu/+source/redmine/+bug/1838407

#16 - 2019-09-13 16:39 - Go MAEDA

- Related to Defect #31870: Remove deprecated .zIndex() method added

#17 - 2019-09-13 16:51 - Go MAEDA

Paweł Szmigiel wrote:

I figured out that this problem is connected to the jquery-ui version 1.12, which has Deprecated .zIndex() function. You can manually edit

application.js like here:

https://bugs.launchpad.net/ubuntu/+source/redmine/+bug/1838407

 Thank you for reporting the detail.

Please don't replace bundled jquery-ui with other versions. Otherwise, it may cause unexpected errors like you have reported.

Anyway, I have backported r18377 to 4.0-stable branch. It removed zIndex(). It should fix the error.
#18 - 2019-09-13 20:41 - Paweł Szmigiel

libjs-jquery-ui updated itself after upgrade from Ubuntu 17.10 Artful while doing dist-upgrade... Even tried to get back to v1.11, but couldn't find it

anywhere in the previous releases (1.10 at Xenial, but downgrade wasn't working). Anyway, thanks for the patch, You saved me a lot of work :)

#19 - 2019-09-14 01:44 - Go MAEDA

- Subject changed from Not able to add member to a projet to Not able to add member to a project

- Status changed from Reopened to Closed

- Resolution changed from Invalid to Fixed

Fixed in r18467. Closing.

#20 - 2019-09-16 08:26 - Paweł Szmigiel

- File redmine close button.PNG added

- File code.PNG added

One more thing, there is a black text "close" at the close button, I figured out that it disappears after I remove "Close" text from the code, but cannot

find this site anywhere in the files. I am administrator, not programmer, can You direct me where to look for that?

#21 - 2021-01-21 17:31 - Albrecht Dreß

Paweł Szmigiel wrote:

One more thing, there is a black text "close" at the close button, I figured out that it disappears after I remove "Close" text from the code, but

cannot find this site anywhere in the files. I am administrator, not programmer, can You direct me where to look for that?

 I noticed the same issue using the Debian Buster (backports) package of Redmine (version 4.0.7-1~bpo10+1).  It does use the jquery files coming

with the redmine package.

The simple trick to hide the annoying text: create a new custom theme, and in the file stylesheets/application.css add

/* load the default Redmine stylesheet - change for a different theme */

@import url(../../../stylesheets/application.css);

/* work around a JS 'Close' button which displays a text, cluttering the UI */

button.ui-button-icon-only {

  font-size: 0pt !important;

}

 This seems to work just fine for me, but to be honest, I have no idea if it might break something else…

Files

ScreenShot.jpg 33.4 KB 2019-07-12 Carmelo Pansera

redmine close button.PNG 3.41 KB 2019-09-16 Paweł Szmigiel

code.PNG 37.2 KB 2019-09-16 Paweł Szmigiel
